Bug 441108 - Opening non-existing file from gnome-panel's Recent Documents when file dialog open locks OOo
Opening non-existing file from gnome-panel's Recent Documents when file dialo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 06:01 EDT by Leon Stringer
Modified: 2008-08-29 11:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-29 11:48:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 92879 None None None Never

  None (edit)
Description Leon Stringer 2008-04-06 06:01:07 EDT
Description of problem:
Selecting a file that no longer exists from the GNOME Recent Documents list when
the File Open dialog is open.

Version-Release number of selected component (if applicable):
OOo 2.4, GNOME 2.22

How reproducible:
Consistent

Steps to Reproduce:
1. Create an OOo Writer file "Test1.odt" (e.g. in your home directory).

2. Create an OOo Writer file "Test2.odt". Both Test1.odt and Test2.odt should
appear in Places->Recent Documents.

3. Delete the file "Test2.odt".

4. Open "Test1.odt" in OOo Writer.

5. Select File->Open....

6. Select Places->Recent Places->Test2.odt. A message appears saying the file
does not exist.
  
Actual results:
Neither the error message, the Open dialog or the OOo Writer window now works.
If you have any other OOo windows open they are also not working. The only way
I've found to recover from this is by killing X (Ctrl+Alt+BkSp) losing any
unsaved changes.

Expected results:
Click OK to acknowledge error, carry on working.

Additional info:
Comment 1 Caolan McNamara 2008-04-07 05:04:38 EDT
Can't quite get exactly the same results, but I do see an error in this
interaction path that is likely the problem
Comment 2 Yolkfull Chow 2008-05-14 04:42:59 EDT
Just verified this problem several times. It can NOT be reproduced under FC8. 

[root@dhcp-65-153 Documents]# koji list-pkgs --tag dist-fc7 | grep openoffice.org
openoffice.org          dist-fc6                                 caolanm         
openoffice.org-dict-cs_CZ fe7-merge                                tmraz           
openoffice.org-voikko   dist-fc7                                 vpv             
openoffice.org-ooolatex dist-fc7                                 alexlan         
openoffice.org-extendedPDF dist-fc7                                 orion           
[root@dhcp-65-153 Documents]# 
Comment 3 Caolan McNamara 2008-05-14 04:54:09 EDT
It was reported on F9/rawhide, not F8 and I don't know why you're listing
packages built for F7 ?

But I'm pretty sure it was the problem I fixed as
http://www.openoffice.org/issues/show_bug.cgi?id=87991 and included in the F-9
OOo, so all should be well now there.
Comment 4 Yolkfull Chow 2008-05-14 05:48:29 EDT
So sorry for my wrongly verifying. I will re-verify it as soon as I finish
seting up testing environment.
Comment 5 Yolkfull Chow 2008-05-19 23:44:54 EDT
I re-verified this problem,it does NOT appear on FC9.

openoffice.org-writer-2.4.0-12.8.fc9.i386
GNOME 2.22
2.6.25-14.fc9.i686
Comment 6 Leon Stringer 2008-05-20 14:16:48 EDT
I still see this problem, exactly as described with:

openoffice.org-writer-2.4.0-12.8.fc9.i386
GNOME 2.22
2.6.25.3-18.fc9.i686

I also see it on F7 and F8.
Comment 7 Caolan McNamara 2008-05-20 14:43:45 EDT
Ah, *now* I understand what you're talking about. In a nutshell, if the file
open dialog is active, and then you use the *gnome panel places* menu to open a
non-existing file the dialog is blocked.

I think what we were all testing was the "recently used places" area *inside*
the file open dialog
Comment 8 Leon Stringer 2008-05-20 15:13:36 EDT
That's correct, sorry if it wasn't clear. With the OOo Writer "file open" dialog
open, I select the non-existant file from the GNOME Places->Recent Documents
menu. The error message then appears and the OOo GUI thread locks.
Comment 9 Caolan McNamara 2008-08-26 09:54:51 EDT
fix checked in, will be in next rawhide
Comment 10 Caolan McNamara 2008-08-29 11:48:39 EDT
ta-da

Note You need to log in before you can comment on or make changes to this bug.